# GraphicsDevice

### Introduction

The GraphicsDevice is the object which FlatRedBall interacts with. Since FlatRedBall does rendering automatically, most users will not need to interact with this object.

You may want to work with the GraphicsDevice in the following scenarios:

* When using [DrawableBatches](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php).
* When using [render targets](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php).

### GraphicsDevice Members

[Microsoft.Xna.Framework.Graphics.GraphicsDevice.SetRenderTarget](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php)

Did this article leave any questions unanswered? Post any question in our [forums](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/forum.md) for a rapid response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/microsoft-xna-framework/graphics/graphicsdevice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
